> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll write request

> If a real-time write request returns async: true, you can use this endpoint to get the result of the request.



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/connectors/status
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/connectors/status:
    get:
      summary: Poll write request
      description: >-
        If a real-time write request returns async: true, you can use this
        endpoint to get the result of the request.
      operationId: connector-status
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: taskId
          in: query
          description: Task ID of the real-time write request.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    has_data: true
                    result:
                      async: false
                      jobId: UvzWy0
                      taskId: 3cecd80d-b377-4566-9d8c-e1e870b887ab
                      state:
                        bookmarks:
                          Contact:
                            - hash: >-
                                07f9838d07fca662ce396d1cce9db0893eb3ffee4290ffc20d992a8fde333e2e
                              success: false
                              error: >-
                                [{"message":"No such column 'EmailAddress' on
                                sobject of type
                                Contact","errorCode":"INVALID_FIELD"}]
                        summary:
                          Contact:
                            success: 0
                            fail: 1
                            existing: 0
                            updated: 0
                      status_code: 200
              schema:
                type: object
                properties:
                  has_data:
                    type: boolean
                    example: true
                    description: Indicates whether the response contains data
                  result:
                    type: object
                    properties:
                      async:
                        type: boolean
                        example: false
                        description: Indicates whether the job is asynchronous
                      jobId:
                        type: string
                        example: UvzWy0
                        description: A unique job identifier
                      taskId:
                        type: string
                        format: uuid
                        example: 3cecd80d-b377-4566-9d8c-e1e870b887ab
                        description: A unique task identifier
                      state:
                        type: object
                        properties:
                          bookmarks:
                            type: object
                            additionalProperties:
                              type: array
                              items:
                                type: object
                                properties:
                                  hash:
                                    type: string
                                    example: >-
                                      07f9838d07fca662ce396d1cce9db0893eb3ffee4290ffc20d992a8fde333e2e
                                  success:
                                    type: boolean
                                    example: false
                                  id:
                                    type: string
                                    example: 003Kc00000AnofgIAB
                                  error:
                                    type: string
                                    example: >-
                                      [{"message":"No such column 'EmailAddress'
                                      on sobject of type
                                      Contact","errorCode":"INVALID_FIELD"}]
                            description: Contains processing status for each record type
                          summary:
                            type: object
                            additionalProperties:
                              type: object
                              properties:
                                success:
                                  type: integer
                                  example: 0
                                fail:
                                  type: integer
                                  example: 1
                                existing:
                                  type: integer
                                  example: 0
                                updated:
                                  type: integer
                                  example: 0
                            description: Summary of processing outcome per record type
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    Code: BadRequestError
                    Message: Title can't be blank
              schema:
                type: object
                properties:
                  Code:
                    type: string
                    example: BadRequestError
                  Message:
                    type: string
                    example: Title can't be blank
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````